> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Login

> Handles the login process for a user, including validation and authentication.



## OpenAPI

````yaml post /frontend/login/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/login/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Post Login
      description: >-
        Handles the login process for a user, including validation and
        authentication.
      operationId: postLogin
      parameters:
        - name: client_id
          in: path
          description: Client ID for the login
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID for the login
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for the login (optional)
          required: true
          schema:
            type: string
      requestBody:
        description: Username and Password for login
        required: true
        content:
          application/json:
            schema:
              required:
                - username
                - password
              properties:
                username:
                  type: string
                password:
                  type: string
                  format: password
              type: object
      responses:
        '200':
          description: Login successful
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  donor:
                    type: object
                  client:
                    type: object
                  redirect:
                    type: string
                  session_logged_in:
                    type: boolean
                  status:
                    type: string
                    example: success
                type: object
        '401':
          description: Invalid credentials
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: failed
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  errors:
                    type: object
                type: object

````